libzypp 17.37.10

zyppintern Namespace Reference

## Typedefs
using | GetVendorSupportOptionReturn = std::pair<VendorSupportOption,std::optional<std::set<std::string_view>>>
| getVendorSupportOption return value

## Functions
GetVendorSupportOptionReturn | getVendorSupportOption (sat::Solvable solv_r)
| Get VendorSupportOption and the PKGNAME if VendorSupportSuperseded.
bool | schemeIsLocalDir (const Url &url_r)
Pathname | cachedLocation (const OnMediaLocation &loc_r, const RepoInfo &repo_r)
void | repoVariablesReset ()

## Typedef Documentation

## ◆ GetVendorSupportOptionReturn

using zyppintern::GetVendorSupportOptionReturn = std::pair<VendorSupportOption,std::optional<std::set<std::string_view>>>

getVendorSupportOption return value

Definition at line 31 of file Package.cc.

## Function Documentation

## ◆ getVendorSupportOption()

GetVendorSupportOptionReturn zyppintern::getVendorSupportOption | ( | sat::Solvable | solv_r | ) |

Get VendorSupportOption and the PKGNAME if VendorSupportSuperseded.

Definition at line 34 of file Package.cc.

## ◆ schemeIsLocalDir()

bool zyppintern::schemeIsLocalDir | ( | const Url & | url_r | ) |
| inline

Definition at line 92 of file Package.cc.

## ◆ cachedLocation()

Pathname zyppintern::cachedLocation | ( | const OnMediaLocation & | loc_r,
|  | const RepoInfo & | repo_r )

Definition at line 99 of file Package.cc.

## ◆ repoVariablesReset()

void zyppintern::repoVariablesReset | ( |  | ) |

Definition at line 596 of file RepoVariables.cc.